# This package creates its own local copies of all required libraries
# Allowing prelink seems to break RPM verification at install time
%undefine __prelink_undo_cmd

Name:        openstack-guest-agents-unix
Version:     1.39.0
Release:     9%{dist}
Summary:     Guest agents for Xen based OpenStack clouds such as Rackspace
License:     ASL 2.0
Source0:     %{name}.tar.gz
Patch1:      fedora-proc-xen.patch
Patch2:      fedora-no-error-on-warning.patch
Requires: xen-devel
Requires: xen-runtime
BuildRequires: xen-devel
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: libffi
BuildRequires: python-devel
BuildRequires: patchelf
BuildRequires: make
BuildRequires: python-devel
BuildRequires: python-crypto
BuildRequires: python-xenstore
# This package bundles its own standalone python and C runtime - auto deps
# actually confuse things.
Autoreq: 0

%description
This agent allows Citrix/Xen based Openstack clouds to pass initialization tasks
to a newly launched guest.  It is comparable to cloud-init but Xen specific.

%prep
%setup -q -n %{name}
%patch1 -p1
%patch2 -p1


%build
sh autogen.sh
./configure
make

%install
make PREFIX="%{_prefix}" DESTDIR=%{buildroot} install
mkdir -p  %{buildroot}/usr/lib/systemd/system
cp scripts/systemd/nova-agent.service  %{buildroot}/usr/lib/systemd/system

# This is a terrible hack for the moment, but I view it as better than
# the alternative of using old style init scripts
mkdir -p %{buildroot}/%{_sysconfdir}
echo PYTHONPATH=/usr/share/nova-agent/1.39.0/lib/python2.7:/usr/share/nova-agent/1.39.0/lib/python2.7/site-packages > %{buildroot}/%{_sysconfdir}/nova-agent.env

%files
%{_sysconfdir}/nova-agent.env
%{_datarootdir}/nova-agent
#%{_datarootdir}/doc/openstack-guest-agents-unix
%{_sbindir}/nova-agent
/usr/lib/systemd/system/nova-agent.service

%changelog
* Fri Jun 27 2014 Ian McLeod <imcleod@fedoraproject.org> - 1.3.9-1
- initial RPM SPEC
